Name:		  yarn
Version:	1.3.2
Release:	2%{?dist}
Summary:	Fast, reliable, and secure dependency management.

Group:		Development/Languages
License:	BSD
URL:		  https://yarnpkg.com
Source0:	https://github.com/yarnpkg/%{name}/archive/v%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	nodejs

%description
Yarn: Fast, reliable, and secure dependency management.

Fast: Yarn caches every package it downloads so it never needs to again. It also
parallelizes operations to maximize resource utilization so install times are
faster than ever.

Reliable: Using a detailed, but concise, lockfile format, and a deterministic
algorithm for installs, Yarn is able to guarantee that an install that worked
on one system will work exactly the same way on any other system.

Secure: Yarn uses checksums to verify the integrity of every installed package
before its code is executed.


%prep
%setup -q

# nothing to do here; we are just extracting files...
%build

%install
install -Dm755 bin/yarn %{buildroot}/usr/bin/yarn
install -Dm755 bin/yarnpkg %{buildroot}/usr/bin/yarnpkg
install -Dm755 bin/yarn.js %{buildroot}/usr/bin/yarn.js
install -Dm755 bin/yarn %{buildroot}/usr/share/yarn/bin/yarn
install -Dm755 bin/yarn.cmd %{buildroot}/usr/share/yarn/bin/yarn.cmd
install -Dm755 bin/yarnpkg %{buildroot}/usr/share/yarn/bin/yarnpkg
install -Dm755 bin/yarnpkg.cmd %{buildroot}/usr/share/yarn/bin/yarnpkg.cmd
install -Dm755 bin/yarn.js %{buildroot}/usr/share/yarn/bin/yarn.js
install -Dm644 LICENSE %{buildroot}/usr/share/doc/yarn/LICENSE

%files
%defattr(-,root,root,-)
/usr/bin/yarn
/usr/bin/yarn.js
/usr/bin/yarnpkg
/usr/share/yarn/bin/*
%license /usr/share/doc/yarn/LICENSE

%changelog
* Thu Feb 15 2018 Alexander Pavel <anp120@nbcs.rutgers.edu> - 1.3.2-2
- add yarn.js to /usr/bin

* Thu Feb 15 2018 Alexander Pavel <anp120@nbcs.rutgers.edu> - 1.3.2-1
- initial build for Rutgers CentOS 7
